Retrieve the values of a Meter Dimension.
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"meterCode": "<string>",
"dimensionName": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"attributes": [
"<string>"
],
"limit": 123
}
'import requests
url = "https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions"
payload = {
"meterCode": "<string>",
"dimensionName": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"attributes": ["<string>"],
"limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
meterCode: '<string>',
dimensionName: '<string>',
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
attributes: ['<string>'],
limit: 123
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'meterCode' => '<string>',
'dimensionName' => '<string>',
'startDate' => '2023-11-07T05:31:56Z',
'endDate' => '2023-11-07T05:31:56Z',
'attributes' => [
'<string>'
],
'limit' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions"
payload := strings.NewReader("{\n \"meterCode\": \"<string>\",\n \"dimensionName\": \"<string>\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"attributes\": [\n \"<string>\"\n ],\n \"limit\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"meterCode\": \"<string>\",\n \"dimensionName\": \"<string>\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"attributes\": [\n \"<string>\"\n ],\n \"limit\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"meterCode\": \"<string>\",\n \"dimensionName\": \"<string>\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"attributes\": [\n \"<string>\"\n ],\n \"limit\": 123\n}"
response = http.request(request)
puts response.read_body{
"meterCode": "<string>",
"dimensionName": "<string>",
"dimensionValues": [
{
"dimensionAttribute": "<string>",
"dimensionValue": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve the values of a Meter Dimension.
Retrieve the Dimensions of a Meter stored in the Data Warehouse over a period of time.
POST
/
organizations
/
{orgId}
/
dataexplorer
/
meterdimensions
Retrieve the values of a Meter Dimension.
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"meterCode": "<string>",
"dimensionName": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"attributes": [
"<string>"
],
"limit": 123
}
'import requests
url = "https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions"
payload = {
"meterCode": "<string>",
"dimensionName": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"attributes": ["<string>"],
"limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
meterCode: '<string>',
dimensionName: '<string>',
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
attributes: ['<string>'],
limit: 123
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'meterCode' => '<string>',
'dimensionName' => '<string>',
'startDate' => '2023-11-07T05:31:56Z',
'endDate' => '2023-11-07T05:31:56Z',
'attributes' => [
'<string>'
],
'limit' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions"
payload := strings.NewReader("{\n \"meterCode\": \"<string>\",\n \"dimensionName\": \"<string>\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"attributes\": [\n \"<string>\"\n ],\n \"limit\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"meterCode\": \"<string>\",\n \"dimensionName\": \"<string>\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"attributes\": [\n \"<string>\"\n ],\n \"limit\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"meterCode\": \"<string>\",\n \"dimensionName\": \"<string>\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"attributes\": [\n \"<string>\"\n ],\n \"limit\": 123\n}"
response = http.request(request)
puts response.read_body{
"meterCode": "<string>",
"dimensionName": "<string>",
"dimensionValues": [
{
"dimensionAttribute": "<string>",
"dimensionValue": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
FlowAuthorization Code
- Authorization URL
- https://m3ter.auth.us-east-1.amazoncognito.com/oauth2/authorize
- Token URL
- https://m3ter.auth.us-east-1.amazoncognito.com/oauth2/token
FlowClient Credentials
- Token URL
- /oauth/token
Path Parameters
UUID of the organization
Body
application/json
Data Explorer meter dimensions query.
Code representing a Meter.
Minimum string length:
1The name of a Meter dimension, for example "account".
Minimum string length:
1ISO 8601 formatted start date to filter by.
ISO 8601 formatted end date to filter by.
Attributes to filter values by.
Limit the records returned.